%bcond_without  tests

Name:           poker-engine
Version:        1.2.0
Release:        %mkrel 2
Epoch:          0
Summary:        Python library that implements poker rules
Group:          Development/Python
License:        GPLv3+
URL:            http://pokersource.org/poker-engine/
Source0:        http://download.gna.org/pokersource/sources/poker-engine-%{version}.tar.gz
BuildRequires:  pypoker-eval-devel
BuildRequires:  python-devel
BuildRequires:  python-libxslt
BuildRequires:  rsync
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{epoch}:%{version}-%{release}-root

%description
This is a python library that implements poker rules according
to variants and betting structures specified in configuration files.
It designed to be used by a multiplayer poker server, a poker AI or a
poker client.

%package -n python-pokerengine
Summary:        Python library that implements poker rules
Group:          Development/Python
Provides:       %{name} = %{epoch}:%{version}-%{release}
Requires:       pypoker-eval
Requires:       rsync

%description -n python-pokerengine
This is a python library that implements poker rules according
to variants and betting structures specified in configuration files.
It designed to be used by a multiplayer poker server, a poker AI or a
poker client.

%package -n python-pokerengine-devel
Summary:        Poker rule implementation library development files
Group:          Development/Python
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Requires:       python-pokerengine = %{epoch}:%{version}-%{release}
Requires:       pypoker-eval-devel

%description -n python-pokerengine-devel
This package contains files required to build applications that use
poker-engine.

%prep
%setup -q

%build
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%if %with tests
%check
%{make} check
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n python-pokerengine
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_mandir}/man8/*.8*
%{_sbindir}/pokerconfigupgrade
%{_datadir}/%{name}/conf/*.xml
%{python_sitelib}/pokerengine
%config(noreplace) %{_sysconfdir}/%{name}/*
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/poker-engine.mo

%files -n python-pokerengine-devel
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.2.0-2mdv2009.0
+ Revision: 269007
- rebuild early 2009.0 package (before pixel changes)

* Sat May 17 2008 David Walluck <walluck@mandriva.org> 0:1.2.0-1mdv2009.0
+ Revision: 208548
- 1.2.0

* Mon Apr 21 2008 David Walluck <walluck@mandriva.org> 0:1.1.0-1mdv2009.0
+ Revision: 196047
- 1.1.0

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:1.0.25-1mdv2008.1
+ Revision: 136426
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 David Walluck <walluck@mandriva.org> 0:1.0.25-1mdv2008.0
+ Revision: 29529
- 1.0.25


* Thu Mar 15 2007 David Walluck <walluck@mandriva.org> 0:1.0.24-1mdv2007.1
+ Revision: 144393
- 1.0.24

* Wed Feb 14 2007 David Walluck <walluck@mandriva.org> 0:1.0.23-1mdv2007.1
+ Revision: 121151
- 1.0.23

* Wed Jan 24 2007 David Walluck <walluck@mandriva.org> 0:1.0.22-1mdv2007.1
+ Revision: 113028
- 1.0.22

* Thu Jan 11 2007 David Walluck <walluck@mandriva.org> 0:1.0.21-1mdv2007.1
+ Revision: 107609
- 1.0.21

* Tue Dec 12 2006 David Walluck <walluck@mandriva.org> 0:1.0.20-1mdv2007.1
+ Revision: 95174
- 1.0.20

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 0:1.0.19-1mdv2007.0
+ Revision: 66093
- 1.0.19
- Import poker-engine

* Mon Sep 11 2006 David Walluck <walluck@mandriva.org> 0:1.0.18-2mdv2007.0
- own directory

* Sat Sep 09 2006 David Walluck <walluck@mandriva.org> 0:1.0.18-1mdv2007.0
- - 1.0.18

* Sun Sep 03 2006 David Walluck <walluck@mandriva.org> 0:1.0.17-1mdv2007.0
- release

* Fri Jun 23 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-4
- Add patch to put pkgconfig file in %%{_datadir}

* Tue Jun 13 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-3
- pkgconfig no longer needed. It is now picked up by pypoker-eval-devel

* Fri Jun 02 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-2
- Add new BR pkgconfig
- Use macros for system commands

* Wed May 31 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-1
- Upstream sync
- Add rsync to Requires
- Remove patches and autoreconf since these have been fixed in new release

* Tue May 16 2006 Christopher Stone <chris.stone@gmail.com> 1.0.14-3
- Add Requires pypoker-eval-devel to devel package

* Mon May 15 2006 Christopher Stone <chris.stone@gmail.com> 1.0.14-2
- Add patch for noarch configuration
- Readded BuildArch of noarch
- Removed python-abi Requires
- Added %%check section
- Updated Source0 location
- Add patch to place python files in sitelib
- Replace %%{python_sitearch} with %%{python_sitelib}
- Removed unnecessary Requires
- Removed examples from -devel since this is no longer maintained by upstream

* Fri Mar 31 2006 Loic Dachary <loic at gnu.org> 1.0.14-1
- upstream sync

* Mon Mar 27 2006 Christopher Stone <chris.stone@gmail.com> 1.0.13-2
- Fix BuildRequires

* Sat Mar 25 2006 Loic Dachary <loic at gnu.org> 1.0.13-1
- upstream sync

* Fri Mar 17 2006 Christopher Stone <chris.stone@gmail.com> 1.0.12-1
- Initial RPM release

